#
Summary: This configures logwatch to use df -h -l instead of just df -h. 
Name: zz_logwatch_df
Version: 1.0
Release: 1
Copyright: GPL
Group: Fermi
URL: http://www.fnal.gov/cd/UNIX/linux/
Vendor: Fermilab
Packager: Troy Dawson
requires: logwatch
%description

By default logwatch does a df -h when looking at disk usage.  This can be
unwanted if you have alot of NFS mounted disks.  This rpm changes that 
command to be df -h -l, which looks at local disks only.

%files
%post
#
# This modifies /etc/log.d/scripts/services/zz-disk_space to use df -l -h
#
cat /etc/log.d/scripts/services/zz-disk_space | sed "s:df -h:df -l -h:"  > /etc/log.d/scripts/services/zz-disk_space.tmp
mv -f /etc/log.d/scripts/services/zz-disk_space.tmp /etc/log.d/scripts/services/zz-disk_space

%postun
if [ "$1" = "0" ] ; then
	#
	# This modifies /etc/log.d/scripts/services/zz-disk_space to make it back to normal
	#
	cat /etc/log.d/scripts/services/zz-disk_space | sed "s:df -l -h:df -h:"  > /etc/log.d/scripts/services/zz-disk_space.tmp
	mv -f /etc/log.d/scripts/services/zz-disk_space.tmp /etc/log.d/scripts/services/zz-disk_space
fi

%triggerin -- logwatch
cat /etc/log.d/scripts/services/zz-disk_space | sed "s:df -h:df -l -h:"  > /etc/log.d/scripts/services/zz-disk_space.tmp
mv -f /etc/log.d/scripts/services/zz-disk_space.tmp /etc/log.d/scripts/services/zz-disk_space
